Bug 1130322 - [abrt] exaile: __init__.py:180:_open_uri:TypeError: can only concatenate list (not "tuple") to list
Summary: [abrt] exaile: __init__.py:180:_open_uri:TypeError: can only concatenate list...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:27e9f3bac20d5c161ffa561da9e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 20:57 UTC by Adam Williamson
Modified: 2015-12-02 16:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:24:15 UTC


Attachments (Terms of Use)
File: backtrace (1.15 KB, text/plain)
2014-08-14 20:57 UTC, Adam Williamson
no flags Details
File: environ (1.34 KB, text/plain)
2014-08-14 20:57 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2014-08-14 20:57:06 UTC
Description of problem:
Just trying to open a set of files (which should use them as a playlist and start playing).

Version-Release number of selected component:
exaile-3.3.2-2.fc21

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
executable:     /usr/share/exaile/exaile.py
kernel:         3.16.0-1.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
__init__.py:180:_open_uri:TypeError: can only concatenate list (not "tuple") to list

Traceback (most recent call last):
  File "/usr/share/exaile/xlgui/menu.py", line 60, in <lambda>
    get_main().controller.open_uris(uris))
  File "/usr/share/exaile/xlgui/__init__.py", line 142, in open_uris
    self.open_uri(uris[0], play=play)
  File "/usr/share/exaile/xlgui/__init__.py", line 151, in open_uri
    self._open_uri(uri, play)
  File "/usr/share/exaile/xlgui/__init__.py", line 180, in _open_uri
    sort_by = [column.name] + sort_by
TypeError: can only concatenate list (not "tuple") to list

Local variables in innermost frame:
playlist: <module 'xl.playlist' from '/usr/share/exaile/xl/playlist.pyc'>
reverse: False
column: TrackNumberColumn('tracknumber', u'#', 30)
self: <xlgui.Main object at 0x7fd2ab8983d0>
uri: "file:///media/phone/Music/Norah%20Jones/Come%20Away%20With%20Me/01%20-%20Don't%20Know%20Why.ogg"
play: True
page: <PlaylistPage object at 0x7fd2ab83ed70 (xlgui+widgets+notebook+NotebookPage at 0x1eaa080)>
sort_by: ('artist', 'date', 'album', 'discnumber', 'tracknumber', 'title')
trax: <module 'xl.trax' from '/usr/share/exaile/xl/trax/__init__.pyc'>

Comment 1 Adam Williamson 2014-08-14 20:57:09 UTC
Created attachment 926914 [details]
File: backtrace

Comment 2 Adam Williamson 2014-08-14 20:57:10 UTC
Created attachment 926915 [details]
File: environ

Comment 3 Fedora End Of Life 2015-11-04 15:15:29 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 03:24:18 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.